curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/settings/v1/positions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/settings/v1/positions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/settings/v1/positions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/settings/v1/positions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.014Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "1533d1e1-b367-4b1e-bd45-bec6d1939149",
"tenantId": "7991d6c1-8488-406e-acf6-f07e7d1399e8",
"positionId": "10000",
"positionName": "Senior Developer",
"isSCIMProvisioned": false,
"status": "ACTIVE",
"isDeleted": false,
"createdOn": "2025-01-13T12:34:59.300Z",
"updatedOn": "2025-01-13T12:34:59.300Z",
"groups": [
{
"groupName": "Engineering Team",
"displayName": "Engineering Team Display",
"groupTypeName": "Organizations",
"groupId": "9fbe4911-1eae-499e-9190-a447a7134fe7",
"groupTypeId": "a51e8d10-388f-4042-b8a8-578b7ace6992",
"parentId": 2,
"parentName": "Technology Division",
"createdAt": "2025-01-13T12:34:59.303Z",
"updatedAt": "2025-01-13T12:34:59.303Z"
}
],
"delegationsReceived": 1,
"delegationsIssued": 1,
"externalId": "EXT-POS-12345",
"instanceId": "db036aaa-14fe-454a-bc23-a722e4106925"
}
]
}
}List positions
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/settings/v1/positions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/settings/v1/positions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/settings/v1/positions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/settings/v1/positions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.014Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "1533d1e1-b367-4b1e-bd45-bec6d1939149",
"tenantId": "7991d6c1-8488-406e-acf6-f07e7d1399e8",
"positionId": "10000",
"positionName": "Senior Developer",
"isSCIMProvisioned": false,
"status": "ACTIVE",
"isDeleted": false,
"createdOn": "2025-01-13T12:34:59.300Z",
"updatedOn": "2025-01-13T12:34:59.300Z",
"groups": [
{
"groupName": "Engineering Team",
"displayName": "Engineering Team Display",
"groupTypeName": "Organizations",
"groupId": "9fbe4911-1eae-499e-9190-a447a7134fe7",
"groupTypeId": "a51e8d10-388f-4042-b8a8-578b7ace6992",
"parentId": 2,
"parentName": "Technology Division",
"createdAt": "2025-01-13T12:34:59.303Z",
"updatedAt": "2025-01-13T12:34:59.303Z"
}
],
"delegationsReceived": 1,
"delegationsIssued": 1,
"externalId": "EXT-POS-12345",
"instanceId": "db036aaa-14fe-454a-bc23-a722e4106925"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Tenant ID
"577f399b-6df2-4074-867f-f879534afd05"
Source type of the position (comma separated)
"All,Directory Sync"
Group IDs (comma separated)
"f6997661-0ffb-4b0b-900b-089e3f45ebce, c2a38576-e4f9-4e55-8bde-746b59ffd6b3"
Status (comma separated)
"ACTIVE,INACTIVE"
Search by position name
"Developer"
Field to sort by
"positionName"
Sort order (asc/desc)
asc, desc "asc"
Specific fields to select (comma separated)
""
Specific fields to select (comma separated) - DEPRECATED: Use select instead
"id,positionName"
Comma separated Selected Position IDs
"97c76f4c-1afa-45c8-b9bd-b3766493bbf3, c6c72413-9cab-46b2-8c7a-c8510bf580ba"
Creation date range - start date
"2024-01-01T00:00:00.000Z"
Creation date range - end date
"2024-12-31T23:59:59.999Z"
Last updated date range - start date
"2024-01-01T00:00:00.000Z"
Last updated date range - end date
"2024-12-31T23:59:59.999Z"
Delegation issuer type
ROOT_AUTHORITY, PERSONNEL_IN_POSITION, POSITION_ONLY, SPECIFIC_PERSONNEL "ROOT_AUTHORITY"
Delegation issuer user id
"fecd3cfa-1d5e-4e77-bdd4-fb7f2bf20514"
Delegation issuer position id
"fb33b892-54fd-4612-bddd-b95f6397264f"
Delegation Pathway (comma separated)
"Matrix,Functional"
Delegation recipient type
PERSONNEL_IN_POSITION, POSITION_ONLY, SPECIFIC_PERSONNEL "PERSONNEL_IN_POSITION"
Comma separated Position IDs to be sorted on top
"4b319888-21d9-41ab-bdbf-9aa332f9f470, e2bbb502-3c6f-4d64-822a-48b6653c7698"
Was this page helpful?